# Generated by Django 3.1.6 on 2021-02-11 08:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Job',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50)),
                ('link', models.CharField(max_length=255)),
                ('is_authorize', models.BooleanField(null=True)),
                ('user_authorize', models.CharField(blank=True, max_length=255, null=True)),
                ('password_authorize', models.CharField(blank=True, max_length=255, null=True)),
                ('cron_expression', models.TextField()),
                ('is_active', models.BooleanField(null=True)),
                ('save_response', models.BooleanField(null=True)),
                ('notification_job_failed', models.BooleanField(null=True)),
                ('notification_success_after_fail', models.BooleanField(null=True)),
                ('deactivate_after_fail', models.BooleanField(null=True)),
                ('fk_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Response',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('job_fail', models.BooleanField(null=True)),
                ('response', models.TextField(null=True)),
                ('fk_job', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cron_job.job')),
            ],
        ),
    ]
